from django.conf.urls import url
from django.views.static import serve

from apps.Equipment.views import (
    Back_Manage, CKArticle_View, Contrast_View, CropCount, Cropdata,Farm_Check,Farm_Check_List,
    Dorm_Check, Dorm_Check_List, Dorm_Detail, Dorm_Img, Dorm_List, Dorm_Photo,Farm_list,Sightsee_Check,Sightsee_Check_List,
    Dorm_Pub, Equip_Check, Equip_Check_List, Equip_Photo, Equip_Pub,Sightsee_Pub,My_Pub,My_Pub_List,
    Equip_Show_Detail, Equip_Show_List, Equip_Test, Farm_Choice, Farm_List,
    Farm_Mark, Garden_Check, Garden_Check_List, Garden_Detail,Garden_Intro, Garden_List,Tourist,Tourist_List,
    Garden_Manage_New, Garden_Manage_View, Garden_Pub, 
    Garden_User_New, Garden_User_View, Garden_View, Industry_Data, Info_Manage,
    Info_Pub, JKlist, JKManage_View, Limit, Map_Test,SetMap_View, News_Check,
    News_Check_List, News_Photo, News_Pub, News_View, Newslist_View,
    Person_Farm, Person_Farm_Edit, Pick, Pick_Photo, Policy_List,
    Policy_List_View, Policy_Pub, Product_Photo, Production_Set, QXZ_Mqtt,
    QXZ_Page, QXZ_Report_Detail, QXZ_Status, QXZ_Switch_Name, QXZ_Warning_List,
    QXZ_Warning_View, QXZchart, QXZcontrol, Repertory_New, Repertory_View,
    Sell_New, Sell_View, Test_Photo, Traffic_Line, Type_View, Video_Check,
    Video_Check_List, Video_Detail, Video_List, Video_Photo, Video_Pub,
    Video_Upload,JKview,Person_Area_Pub,CropCount_View,Sell_Del,Pick_Del,
    Pick_New,Repertory_New_View,Park_Land,Contrast_Detail,Contrast_List,Person_View,Person_List,
    Area_Create,Area_Map,Person_Limit,Limit_View,Expert,learnDepot,Create_User,Change_Pwd,Delete_User,User_Change_Pwd,QXZ_Auto,QXZ_Value_Mqtt,QXZ_Status2, QXZ_Report_Detail2,
    Sightsee_Photo,Pic_locat)

app_name = 'Equipment'


urlpatterns = [
    # 新建用户
    url(r'^create_user$', Create_User.as_view(), name='create_user'),
    url(r'^change_pwd$', Change_Pwd.as_view(), name='change_pwd'),
    url(r'^user_change_pwd$', User_Change_Pwd.as_view(), name='user_change_pwd'),
    # 删除用户
    url(r'^delete_user$', Delete_User.as_view(), name='delete_user'),
    
    # 分配地块
    url(r'^person_view$', Person_View.as_view(), name='person_view'),
    url(r'^person_list$', Person_List.as_view(), name='person_list'),

    url(r'^area_create$', Area_Create.as_view(), name='area_create'),
    url(r'^area_map$', Area_Map.as_view(), name='area_map'),
    # 地块发布
    url(r'^person_area_pub$', Person_Area_Pub.as_view(), name='person_area_pub'),
    # 地图
    url(r'^map$', Map_Test.as_view(), name='map'),
    url(r'^setMap$', SetMap_View.as_view(), name='setMap'),

    url(r'^equip_test$', Equip_Test.as_view(), name='equip_test'),
    # 监控接口
    url(r'^jkview$', JKview.as_view(), name='jkview'),
    url(r'^equipmanage_jk$', JKManage_View.as_view(), name='equipmanage_jk'),
    url(r'^jklist$', JKlist.as_view(), name='jklist'),
    # 新闻接口
    url(r'^newslist_view$', Newslist_View.as_view(), name='newslist_view'),
    url(r'^news_view$', News_View.as_view(), name='news_view'),
    # 设备展示接口
    url(r'^equip_show_detail$', Equip_Show_Detail.as_view(), name='equip_show_detail'),
    url(r'^equip_show_list$', Equip_Show_List.as_view(), name='equip_show_list'),


    url(r'^equip_photo$', Equip_Photo.as_view(), name='equip_photo'),
    # 四季采摘接口
    url(r'^farm_choice$', Farm_Choice.as_view(), name='farm_choice'),
    url(r'^pick_photo$', Pick_Photo.as_view(), name='pick_photo'),
    url(r'^garden_pub$', Garden_Pub.as_view(), name='garden_pub'),
    url(r'^garden_view$', Garden_View.as_view(), name='garden_view'),
    url(r'^garden_list$', Garden_List.as_view(), name='garden_list'),
    url(r'^garden_detail$', Garden_Detail.as_view(), name='garden_detail'),
    url(r'^garden_intro$', Garden_Intro.as_view(), name='garden_intro'),

    #旅游导览
    url(r'^tourist$', Tourist.as_view(), name='tourist'),
    url(r'^touristList$', Tourist_List.as_view(), name='touristList'),

    # 生产管理
    url(r'^garden_manage_view$', Garden_Manage_View.as_view(), name='garden_manage_view'),
    
    url(r'^garden_user_view$', Garden_User_View.as_view(), name='garden_user_view'),
    url(r'^garden_manage_new$', Garden_Manage_New.as_view(), name='garden_manage_new'),
    url(r'^garden_user_new$', Garden_User_New.as_view(), name='garden_user_new'),
    url(r'^cropcount_view$', CropCount_View.as_view(), name='cropcount_view'),#种植管理
   
    # 个人采摘
    url(r'^pick_del$', Pick_Del.as_view(), name='pick_del'),#采摘入库管理
    url(r'^pick_new$', Pick_New.as_view(), name='pick_new'),#采摘入库管理
    url(r'^park_land$', Park_Land.as_view(), name='park_land'),#园区筛选

    # 库存管理和新建
    url(r'^repertory_view$', Repertory_View.as_view(), name='repertory_view'),
    url(r'^repertory_new$', Repertory_New.as_view(), name='repertory_new'),
    url(r'^repertory_new_view$', Repertory_New_View.as_view(), name='repertory_new_view'),#库存管理(出库，入库)
    # 销售管理和新建
    url(r'^sell_view$', Sell_View.as_view(), name='sell_view'),
    url(r'^sell_new$', Sell_New.as_view(), name='sell_new'),
    url(r'^sell_del$', Sell_Del.as_view(), name='sell_del'),

    url(r'^dorm_img$', Dorm_Img.as_view(), name='dorm_img'),
    url(r'^dorm_photo$', Dorm_Photo.as_view(), name='dorm_photo'),
    url(r'^dorm_list$', Dorm_List.as_view(), name='dorm_list'),
    url(r'^dorm_detail$', Dorm_Detail.as_view(), name='dorm_detail'),
    # 农场导览 
    url(r'^farm_list$', Farm_list.as_view(), name='farm_list'),

    # 视频接口
    url(r'^video_list$', Video_List.as_view(), name='video_list'),
    url(r'^video_detail$', Video_Detail.as_view(), name='video_detail'),
    # 后台管理页面
    url(r'^back_manage$', Back_Manage.as_view(), name='back_manage'),

    # 信息接口
    url(r'^info_pub$', Info_Pub.as_view(), name='info_pub'),
    url(r'^info_manage$', Info_Manage.as_view(), name='info_manage'),

    # 气象站接口
    url(r'^qxz_page$', QXZ_Page.as_view(), name='qxz_page'),
    url(r'^qxz_status$', QXZ_Status.as_view(), name='qxz_status'),
    url(r'^qxz_status2$', QXZ_Status2.as_view(), name='qxz_status2'),
    url(r'^qxzcontrol$', QXZcontrol.as_view(), name='qxzcontrol'),
    url(r'^qxzchart$', QXZchart.as_view(), name='qxzchart'),
    url(r'^qxz_report_detail$', QXZ_Report_Detail.as_view(), name='qxz_report_detail'),
    url(r'^qxz_report_detail2$', QXZ_Report_Detail2.as_view(), name='qxz_report_detail2'),
    # 气象站预警
    url(r'^qxz_warning_view$', QXZ_Warning_View.as_view(), name='qxz_warning_view'),
    url(r'^qxz_warning_list$', QXZ_Warning_List.as_view(), name='qxz_warning_list'),

    # 气象站开关
    url(r'^qxz_switch_name$', QXZ_Switch_Name.as_view(), name='qxz_switch_name'),
    url(r'^qxz_mqtt$', QXZ_Mqtt.as_view(), name='qxz_mqtt'),
    # 气象站阈值
    url(r'^qxz_auto$', QXZ_Auto.as_view(), name='qxz_auto'),
    url(r'^qxz_value_mqtt$', QXZ_Value_Mqtt.as_view(), name='qxz_value_mqtt'),

    # 审核接口
    url(r'^news_check$', News_Check.as_view(), name='news_check'),
    url(r'^news_check_list$', News_Check_List.as_view(), name='news_check_list'),
    # 新闻图片上传
    url(r'^news_photo$', News_Photo.as_view(), name='news_photo'),
    # 新闻图片显示
    # url(r'^news_photo/(?P<path>.*)', serve, {'document_root': '/data/second/news_photo'}),#大服务器
    
    url(r'^video_pub$', Video_Pub.as_view(), name='video_pub'),
    url(r'^equip_pub$', Equip_Pub.as_view(), name='equip_pub'),
    
    url(r'^dorm_pub$', Dorm_Pub.as_view(), name='dorm_pub'),
    url(r'^news_pub$', News_Pub.as_view(), name='news_pub'),

    url(r'^sightsee_pub$', Sightsee_Pub.as_view(), name='sightsee_pub'),
    url(r'^sightsee_photo$', Sightsee_Photo.as_view(), name='sightsee_photo'),
    

    #  我的发布
    url(r'^my_pub$', My_Pub.as_view(), name='my_pub'),
    url(r'^my_pub_list$', My_Pub_List.as_view(), name='my_pub_list'),

    
    url(r'^video_check$', Video_Check.as_view(), name='video_check'),#视频审核
    url(r'^video_check_list$', Video_Check_List.as_view(), name='video_check_list'),#视频审核未通过页面
    


    url(r'^equip_check$', Equip_Check.as_view(), name='equip_check'),#产品审核
    url(r'^equip_check_list$', Equip_Check_List.as_view(), name='equip_check_list'),#产品审核未通过页面
   

    url(r'^garden_check$', Garden_Check.as_view(), name='garden_check'),
    url(r'^garden_check_list$', Garden_Check_List.as_view(), name='garden_check_list'),#四季采摘未审核页面
    #url(r'^garden_see_list$', Garden_See_List.as_view(), name='garden_See_list'),#四季采摘审核已通过页面
    
    
    

    url(r'^dorm_check$', Dorm_Check.as_view(), name='dorm_check'),#民宿审核
    url(r'^dorm_check_list$', Dorm_Check_List.as_view(), name='dorm_check_list'),#民宿审核页面

    url(r'^farm_check$', Farm_Check.as_view(), name='farm_check'),#农场审核
    url(r'^farm_check_list$', Farm_Check_List.as_view(), name='farm_check_list'),#农场审核页面

    url(r'^sightsee_check$', Sightsee_Check.as_view(), name='dorm_check'),#景点审核
    url(r'^sightsee_check_list$', Sightsee_Check_List.as_view(), name='sightsee_check_list'),#景点审核页面

    # 视频上传
    url(r'^video_upload$', Video_Upload.as_view(), name='video_upload'),
    url(r'^video_photo$', Video_Photo.as_view(), name='video_photo'),

    # url(r'^news_photo/(?P<path>.*)', serve, {'document_root': 'F:\\YFWLW\\second\\news_photo'}),# 本地

    # 产品图片上传接口
    url(r'^product_photo$', Product_Photo.as_view(), name='product_photo'),

    # 富文本编辑器
    url(r'^ckarticle_view$', CKArticle_View.as_view(), name='ckarticle_view'),


    url(r'^cropdata$', Cropdata.as_view(), name='cropdata'),
    url(r'^cropcount$', CropCount.as_view(), name='cropcount'),
    url(r'^pick$', Pick.as_view(), name='pick'),


    # 权限
    url(r'^limit$', Limit.as_view(), name='limit'),
    url(r'^person_limit$', Person_Limit.as_view(), name='person_limit'),
    url(r'^limit_view$', Limit_View.as_view(), name='limit_view'),


    #专家诊断
    url(r'^expert$', Expert.as_view(), name='expert'),
    url(r'^learn_depot$', learnDepot.as_view(), name='learn_depot'),
    

    # 类型分析
    url(r'^type$', Type_View.as_view(), name='type'),
    # 对比分析
    url(r'^contrast$', Contrast_View.as_view(), name='contrast'),
    url(r'^contrast_detail$', Contrast_Detail.as_view(), name='contrast_detail'),
    url(r'^contrast_list$', Contrast_List.as_view(), name='contrast_list'),
    # 产业数据
    url(r'^industrydata$', Industry_Data.as_view(), name='industrydata'),

    # 生产方式设置
    url(r'^productionset$', Production_Set.as_view(), name='productionset'),
    # 农场划分
    url(r'^farm_mark$', Farm_Mark.as_view(), name='farm_mark'),
    # 农场列表
    url(r'^farm_list$', Farm_List.as_view(), name='farm_list'),
    # 个人农场编辑
    url(r'^person_farm_edit$', Person_Farm_Edit.as_view(), name='person_farm_edit'),

    # 个人农场主页
    url(r'^person_farm$', Person_Farm.as_view(), name='person_farm'),

    # 交通指引
    url(r'^traffic_line$', Traffic_Line.as_view(), name='traffic_line'),


    # 管理员三种类型的发布
    url(r'^policy_pub$', Policy_Pub.as_view(), name='policy_pub'),
    
    url(r'^policy_list_view$', Policy_List_View.as_view(), name='policy_list_view'),
    url(r'^policy_list$', Policy_List.as_view(), name='policy_list'),



    url(r'^test_photo$', Test_Photo.as_view(), name='test_photo'),

    url(r'^pic_locat$', Pic_locat.as_view(), name='pic_locat'),
    
    

    # 配置文件夹路由:
    url(r'^hotel_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\hotel_photo'}), #本地
    url(r'^hotel_photos/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\hotel_photos'}), #本地
    url(r'^hvideos/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\hvideos'}), #本地
    url(r'^hnews_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\hnews_photo'}), #本地
    url(r'^hvideo_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\hvideo_photo'}), #本地
    url(r'^product_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\product_photo'}), #本地
    url(r'^garden_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\garden_photo'}), #本地
    url(r'^guser_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\guser_photo'}), #本地
    url(r'^map_photo/(?P<path>.*)', serve, {'document_root': 'F:\YFWLW\second\map_photo'}), #本地
    

    # url(r'^hotel_photo/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/hotel_photo'}), #本地
    # url(r'^hotel_photos/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/hotel_photos'}), #本地
    # url(r'^hvideos/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/hvideos'}), #本地
    # url(r'^hnews_photo/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/hnews_photo'}), #本地
    # url(r'^hvideo_photo/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/hvideo_photo'}), #本地
    # url(r'^product_photo/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/product_photo'}), #本地
    # url(r'^garden_photo/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/garden_photo'}), #本地
    # url(r'^guser_photo/(?P<path>.*)', serve, {'document_root': '/home/web/second/second/garden_photo'}), #本地


]
